Skip to content

User Registration

| View as Markdown

This API is for user registration with prepaid card portal. This way a user will be allowed to add card and do transaction from it. Customer must provide the otp that he has received. We must pass mobile no, kit no, card type, card no, card expiry, first name, last name, title, gender, dob, email , address, city, state, pincode, doc type, doc no, doc expiry, doc country issue, otp and password in request. If the request has valid details, we will get entity id, kyc status, kyc expiry date.

https://kraken.airpay.co.in/airpay/ms/cards/api/register-user
FieldTypeDescription
affiliatetextWill be provided by Airpay (length 10, required)
checksumtext$string = $param.self::$secret_key;sha256(<concate all values+SECRET KEY>);(dynamic, required)
processor-keytextWill be provided by airpay(constant, required)
FieldTypeDescription
mobile_nonumericMobile number of customer(length 10, required)
kit_notextProxy for Card Number, used for both physical and virtual card that is to be allocated to the customer . (length 16, required)
card_typetextCard type to be mentioned. ( P – Physical , V- virtual)(length 1, required)
card_notextCustomer need to enter the card no.16 digit card no.(length 16, required)
card_expirydateExpiry Date of Card- 1 month to 25 years(length 10, required)
first_nametextCustomer First Name (Only a-z A-Z and no spaces) (length 30, required)
last_nametextCustomer Last Name (Only a-z A-Z and no spaces) (length 30, required)
titletextMr,Mrs,Ms(length 4, required)
gendertextMobile M or F or T(length 1, required)
dobdateDOB format YYYY-MM-DD(length 10, required)
emailtextValid Email address with valid email format .Must be unique.(length 50, required)
addresstextAlpha numeric only with space allowed(length 100, required)
citytext(Only a-z A-Z and no spaces)(length 20, required)
statetext(Only a-z A-Z and with spaces)(length 20, required)
pincodenumericCustomer pincode (only 6 digits for India) (length 15, required)
doc_typetextAADHAAR/ PAN/ VOTERID / DL/ PASSPORT(length 10, required)
doc_numbertextDocument number(length 20, required)
doc_expirydateDocument Expiry(length 10, required)
doc_country_issuetextValid country name (Only a-z A-Z and with spaces) (length 20, required)
otpnumericOne Time Password,We have to pass this values after initiating “Generate OTP” API (length 4, required)
passwordtextAt least 7 characters Maximum 20 characters A mixture of both uppercase and lowercase letters. A mixture of letters and numbers. Inclusion of at least one special character(length 20, required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/register-user' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'mobile_no=9XXXXXX513' \
--data-urlencode 'kit_no=100000001200' \
--data-urlencode 'card_type=V' \
--data-urlencode 'card_no=462294XXXXXX3713' \
--data-urlencode 'card_expiry=01/25' \
--data-urlencode 'title=Mr' \
--data-urlencode 'first_name=Prasanth' \
--data-urlencode 'last_name=Kumar' \
--data-urlencode 'gender=M' \
--data-urlencode 'dob=1989-11-09' \
--data-urlencode 'email=xyz@airpay.co.in' \
--data-urlencode 'address=Kochi' \
--data-urlencode 'state=Kerala' \
--data-urlencode 'city=Ernakulam' \
--data-urlencode 'pincode=689673' \
--data-urlencode 'doc_type=AADHAAR' \
--data-urlencode 'doc_number=59048961234' \
--data-urlencode 'doc_expiry=' \
--data-urlencode 'doc_country_issue=India' \
--data-urlencode 'otp=' \
--data-urlencode 'password=PaSwd@1234'
FieldTypeDescription
statusnumeric400- fail,200-success(length 3, required)
messagetextSuccess, Fail(required)
datajson{ “entity_id”: “12345678”, “kyc_status”: “MIN_KYC”, “kyc_expiry_date”: “2021-06-18”, “kycRefNo”: null }
{
"status": 200,
"message": "success",
"data": {
"entity_id": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps",
"kyc_status": "MIN_KYC",
"kyc_expiry_date": "2021-06-18",
"kycRefNo": null
}
}
{
"status": 400,
"message": "fail"
}